package common;

/**
 * Listener that gets informed every time when the chat client receives a new
 * message
 */
public interface ChatMessageListener {

    /**
     * New text message received by client.
     *
     * @param message the new message
     */
    void newChatMessage(TextMessage message);
}
