package common;

/* FEATURE: Encryption */
public class ROT13 implements SymmetricCryptoTransform {

    public String transform(String text) {
        char[] chars = text.toCharArray();
        for (int i = 0; i < chars.length; i++) {
            chars[i] = transformChar(chars[i]);
        }
        return new String(chars);
    }

    private static char transformChar(char ch) {
        if (ch >= 'a' && ch <= 'z') {
            return (char) ('a' + (ch - 'a' + 13) % 26);
        }
        if (ch >= 'A' && ch <= 'Z') {
            return (char) ('A' + (ch - 'A' + 13) % 26);
        }
        return ch;
    }

}
