package common;

/* FEATURE: Encryption */
public class SwapCrypt implements SymmetricCryptoTransform {

    public String transform(String text) {
        char[] chars = text.toCharArray();

        int left = -1, right = 0;
        while (left < chars.length) {
            right = text.indexOf(' ', left + 1);
            if (right == -1) {
                right = chars.length;
            }
            transformOnce(chars, left, right);
            left = right;
        }

        return new String(chars);
    }

    private static void transformOnce(char[] chars, int left, int right) {
        if (right - left - 1 >= 2) {
            char ch = chars[left + 1];
            chars[left + 1] = chars[left + 2];
            chars[left + 2] = ch;
        }
    }

}
